Add User
curl --request POST \
--url https://api.embedads.com/advertisers/{advertiserID}/users \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "<string>",
"role": "<string>"
}
'import requests
url = "https://api.embedads.com/advertisers/{advertiserID}/users"
payload = {
"email": "<string>",
"role": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({email: '<string>', role: '<string>'})
};
fetch('https://api.embedads.com/advertisers/{advertiserID}/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"advertiser_id": 1,
"email": "email@example.com",
"created_at": "2020-01-01T00:00:00Z",
"role": "ADMIN"
}
]
{
"error": "email is required"
}
{
"error": "Internal server error"
}
Advertiser Users
Add User
Grants someone access to the Advertiser’s account in the admin portal. You can also do this manually on the Advertiser’s Users page in the admin portal. The API does not currently email/inform the user that they have been added.
POST
/
advertisers
/
{advertiserID}
/
users
Add User
Path Parameters
The advertiser ID.
Body Parameters
The email address of the user.
The role of the user. Currently, only
ADMIN is supported.Response
The advertiser ID.
The email address of the user.
A timestamp of when the user was created.
The role of the user.
[
{
"advertiser_id": 1,
"email": "email@example.com",
"created_at": "2020-01-01T00:00:00Z",
"role": "ADMIN"
}
]
{
"error": "email is required"
}
{
"error": "Internal server error"
}
⌘I